package com.example.sqlrun.schedule;

import com.example.sqlrun.entity.SqlNeedEntity;
import com.example.sqlrun.service.SpaceAndPartitionService;
import java.util.ArrayList;
import java.util.List;
import javax.annotation.PostConstruct;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 * @ClassName: MakeSpaceAndPartition
 * @description: TODO
 * @author: sbj
 * @time: 2023/12/5 15:49
 * @Version: 1.0
 */
@Component
@Slf4j
public class MakeSpaceAndPartition {

  @Autowired
  private SpaceAndPartitionService spaceAndPartitionService;
  //@Scheduled(fixedRate = 1000)
  public void runSql(){
    List<SqlNeedEntity> sqlNeedList = spaceAndPartitionService.getSqlNeed();
      try{
        for (SqlNeedEntity sqlNeedEntity : sqlNeedList) {
          spaceAndPartitionService.runSQL(sqlNeedEntity);
        }
      }catch (Exception e){
        log.error("创建表空间以及表分区异常" + e.getMessage());
      }
  }

}
