package com.example.sqlrun;

import com.example.sqlrun.fixSql.MakePartitionSql;
import com.example.sqlrun.fixSql.MakeTableSpace;
import java.sql.SQLException;
import java.sql.Statement;
import java.text.ParseException;
import java.util.Calendar;
import java.util.Date;
import java.util.List;
import java.util.Map;
import javax.annotation.PostConstruct;
import javax.annotation.Resource;
import org.springframework.stereotype.Component;

@Component
public class test {

  @Resource(name = "statement")
  private Statement statement;

  @PostConstruct
  public void executeSql() throws SQLException, ParseException {
    // boolean execute = statement.execute("create tablespace \"GHJGCHANNEL_TEST\"  datafile
    // 'D:\\APP\\ADMINISTRATOR\\ORADATA\\TEST\\TEST1.DBF' size 1M autoextend on next 1M MAXSIZE
    // 10M");
    // boolean execute = statement.execute("alter table GHJG_CHANNEL.TEST ADD PARTITION TEST20231202
    // VALUES LESS THAN (TO_DATE('2023-12-03 00:00:00','YYYY-MM-DD hh24:mi:ss')) tablespace
    // GHJGCHANNEL_TEST");
    // System.out.println(execute);
    List<Map> gpsinfo_history =
        MakeTableSpace.makeTableSpaceSql(
            "GHJG_DYANMIC.GPSINFO_HISTORY", "GPSINFO_HISTORY", null, 10, 50, 100, "202312", 10);
    for (Map map : gpsinfo_history) {
      Date date = (Date) map.get("date");
      Calendar instance = Calendar.getInstance();
      instance.setTime(date);
      List<String> strings =
          MakePartitionSql.makePartitionSql(
              "GHJG_DYANMIC.GPSINFO_HISTORY",
              "GPSINFO_HISTORY",
              map.get("tableSpaceName").toString(),
              date,
              instance.getActualMaximum(Calendar.DAY_OF_MONTH) - instance.get(Calendar.DAY_OF_MONTH) + 1
              );
      System.out.println(map.get("tableSpaceSql"));
      for (String string : strings) {
        System.out.println(string);
      }
    }
    //    for (String s : gpsinfo_history) {
    //      statement.addBatch(s);
    //    }
    //    statement.executeBatch();
  }
}
