package com.example.sqlrun.fixSql;

import com.shanghaigeography.Util.DateUtils;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * @ClassName: makePartitionSql
 *
 * @description: TODO
 * @author: sbj
 * @time: 2023/12/5 13:53 @Version: 1.0
 */
public class MakePartitionSql {

  /**
   *
   * @param tableName   the name of the table
   * @param partitionNamePrefix   分区前缀
   * @param tableSpaceName        表空间的名称
   * @param startDate             开始时间     'yyyy-MM-dd 00:00:00'
   * @param wantedDay             需要创建多少个
   * @return
   */
  public static List<String> makePartitionSql(String tableName, String partitionNamePrefix, String tableSpaceName,Date startDate,Integer wantedDay){
    String startSql = "alter table " + tableName + " add partition " + partitionNamePrefix;
    Date maxDate = DateUtils.dayAddNum(startDate, wantedDay);
    ArrayList<String> targetSqls = new ArrayList<>();
    while (startDate.compareTo(maxDate) < 0){
      Date stDate = startDate;
      startDate = DateUtils.dayAddNum(startDate,1);
      String targetSql = startSql + DateUtils.dateToString(stDate,"yyyyMMdd") + " values less than " + "(TO_DATE('" + DateUtils.dateToString(startDate,"yyyy-MM-dd HH:mm:ss") + "'))" + " tablespcace " + tableSpaceName;
      targetSqls.add(targetSql);
    }
    //boolean execute = statement.execute("alter table GHJG_CHANNEL.TEST ADD PARTITION TEST20231202 VALUES LESS THAN (TO_DATE('2023-12-03 00:00:00','YYYY-MM-DD hh24:mi:ss')) tablespace GHJGCHANNEL_TEST");

    return targetSqls;
  }
}
